## hubzero-submit-server 3.9.1-1+deb12

=== Makefile ===
# @package      hubzero-submit-server
# @file         Makefile
# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2020 The Regents of the University of California.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of The Regents of the University of California.
#

USRSBIN=$(DESTDIR)/usr/sbin
USR=$(DESTDIR)/usr
ETC=$(DESTDIR)/etc
VAR=$(DESTDIR)/var
OPT=$(DESTDIR)/opt

DISTRIBUTION := $(shell lsb_release -i -s)
MAJORVERSION := $(shell lsb_release -rs | cut -d . -f 1)

ifeq ($(DISTRIBUTION),Debian)
il=--install-layout=deb
endif

all:
	@true

install:
	install --mode 0640 -D submit-server-sqlite.service $(USR)/lib/systemd/system/submit-server.service
	install --mode 0755 -d $(OPT)/submit/systemd
	install --mode 0640 -D submit-server-sql.service    $(OPT)/submit/systemd/submit-server.service
	install --mode 0775 -d $(VAR)/log/submit
	install submit-server.py -D $(USRSBIN)/submit-server.py --mode 0740
	install submit-server.conf.in -D $(ETC)/submit/submit-server.conf --mode 0600
	python3 setup.py install $(COMPILE) --root $(DESTDIR) $(il)

uninstall:
	rm -f $(USR)/lib/systemd/system/submit-server.service
	rm -f $(USRSBIN)/submit-server.py
	rm -f $(ETC)/submit/submit-server.conf

postinst:
	rm -f $(ETC)/init.d/submit-server
	systmctl daemon-reload

clean:
	find . -name '*.pyc' -delete
	rm -f build-stamp
	rm -f configure-stamp
	python setup.py clean
	rm -fr build

.PHONY: all install uninstall postinst clean

=== debian/changelog ===
hubzero-submit-server (3.9.1-1+deb12) unstable; urgency=low

     - Increased verbosity for missing Peagsus files error message.

 -- Steven Clark <clarksm@purdue.edu>  Thu, 13 Nov 2025 14:02:55 -0400

## hubzero-submit-server 3.10.1-1+deb7

=== debian/changelog ===
hubzero-submit-server (3.10.1-1+deb7) unstable; urgency=low

     - Consolidate openLogger(), daemonize(), and writePIDFile() functions.
     - Add local execution operation mode.
     - Added option to enable/disable distributor, harvester, jobKill, jobStatus, venueStatus.
     - Updated default Pegasus version to 4.8.1
     - Set log level, log file, configuration file, through use of environment variables.
       The environment variables can be set in the unit service files.  This allows the same
       base to be used for multiple services.  Immediate use if for configuration of
       local only or restricted submit server.

 -- Steven Clark <clarksm@purdue.edu>  Wed, 10 Dec 2025 11:53:19 -0400

hubzero-submit-server (3.9.1-1) unstable; urgency=low

     - Increased verbosity for missing Peagsus files error message.

 -- Steven Clark <clarksm@purdue.edu>  Thu, 13 Nov 2025 14:02:55 -0400

## hubzero-submit-server 3.10.1-1+deb10

=== debian/changelog ===
hubzero-submit-server (3.10.1-1+deb10) unstable; urgency=low

     - Consolidate openLogger(), daemonize(), and writePIDFile() functions.
     - Add local execution operation mode.
     - Added option to enable/disable distributor, harvester, jobKill, jobStatus, venueStatus.
     - Updated default Pegasus version to 4.8.1
     - Set log level, log file, configuration file, through use of environment variables.
       The environment variables can be set in the unit service files.  This allows the same
       base to be used for multiple services.  Immediate use if for configuration of
       local only or restricted submit server.

 -- Steven Clark <clarksm@purdue.edu>  Wed, 10 Dec 2025 11:53:19 -0400

=== debian/control ===
Source: hubzero-submit-server
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
Build-Depends: debhelper (>= 8.0.0),     , dh-python 
Standards-Version: 3.8.4
X-Python-Version: >= 2.6
Homepage: http://hubzero.org

Package: hubzero-submit-server
Architecture: all
Depends: hubzero-submit-common, python-scgi, python (>=2.6), hubzero-submit-monitors, hubzero-submit-distributor, ${misc:Depends}, ${python3:Depends}
Description: HUBzero submit server
 HUBzero job submission server

## hubzero-submit-server 3.10.1-1+deb12

=== debian/changelog ===
hubzero-submit-server (3.10.1-1+deb12) unstable; urgency=low

     - Consolidate openLogger(), daemonize(), and writePIDFile() functions.
     - Add local execution operation mode.
     - Added option to enable/disable distributor, harvester, jobKill, jobStatus, venueStatus.
     - Updated default Pegasus version to 4.8.1
     - Set log level, log file, configuration file, through use of environment variables.
       The environment variables can be set in the unit service files.  This allows the same
       base to be used for multiple services.  Immediate use if for configuration of
       local only or restricted submit server.

 -- Steven Clark <clarksm@purdue.edu>  Wed, 10 Dec 2025 11:53:19 -0400

## hubzero-submit-server 3.11.1-1+deb7

=== debian/changelog ===
hubzero-submit-server (3.11.1-1+deb7) unstable; urgency=low

     - Move systemd unit files to separate directory
     - Run all daemon logging through rsyslog
     - Make way for systemd replacement for init.d

 -- Steven Clark <clarksm@purdue.edu>  Fri, 13 Feb 2026 11:02:22 -0400

hubzero-submit-server (3.10.1-1) unstable; urgency=low

     - Consolidate openLogger(), daemonize(), and writePIDFile() functions.
     - Add local execution operation mode.
     - Added option to enable/disable distributor, harvester, jobKill, jobStatus, venueStatus.
     - Updated default Pegasus version to 4.8.1
     - Set log level, log file, configuration file, through use of environment variables.
       The environment variables can be set in the unit service files.  This allows the same
       base to be used for multiple services.  Immediate use if for configuration of
       local only or restricted submit server.

 -- Steven Clark <clarksm@purdue.edu>  Wed, 10 Dec 2025 11:53:19 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
-Build-Depends: debhelper (>= 8.0.0),     , dh-python 
+Build-Depends: debhelper (>= 8.0.0),  , python-all,python-support    
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.6
 Homepage: http://hubzero.org

## hubzero-submit-server 3.11.1-1+deb10

=== debian/changelog ===
hubzero-submit-server (3.11.1-1+deb10) unstable; urgency=low

     - Move systemd unit files to separate directory
     - Run all daemon logging through rsyslog
     - Make way for systemd replacement for init.d

 -- Steven Clark <clarksm@purdue.edu>  Fri, 13 Feb 2026 11:02:22 -0400

## hubzero-submit-server 3.11.1-1+deb12

=== Makefile ===
--- 
+++ 
@@ -43,9 +43,13 @@
 	@true
 
 install:
-	install --mode 0640 -D submit-server-sqlite.service $(USR)/lib/systemd/system/submit-server.service
+	install --mode 0640 -D systemd/submit-server-sqlite.service $(USR)/lib/systemd/system/submit-server.service
 	install --mode 0755 -d $(OPT)/submit/systemd
-	install --mode 0640 -D submit-server-sql.service    $(OPT)/submit/systemd/submit-server.service
+	install --mode 0640 -D systemd/submit-server-sql.service    $(OPT)/submit/systemd/submit-server.service
+	install --mode 0755 -d $(OPT)/submit/rsyslog
+	install --mode 0755 -D rsyslog/generateRsyslogConf.py $(OPT)/submit/systemd/generateRsyslogConf.py
+	install --mode 0640 -D rsyslog/rsyslog-sqlite.json    $(OPT)/submit/systemd/rsyslog-sqlite.json
+	install --mode 0640 -D rsyslog/rsyslog-sql.json       $(OPT)/submit/systemd/rsyslog-sql.json
 	install --mode 0775 -d $(VAR)/log/submit
 	install submit-server.py -D $(USRSBIN)/submit-server.py --mode 0740
 	install submit-server.conf.in -D $(ETC)/submit/submit-server.conf --mode 0600

=== debian/changelog ===
hubzero-submit-server (3.11.1-1+deb12) unstable; urgency=low

     - Move systemd unit files to separate directory
     - Run all daemon logging through rsyslog
     - Make way for systemd replacement for init.d

 -- Steven Clark <clarksm@purdue.edu>  Fri, 13 Feb 2026 11:02:22 -0400

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-submit-server
# @file         rules
# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2020 The Regents of the University of California.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of The Regents of the University of California.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	cp $(CURDIR)/init.d/submit-server.init $(CURDIR)/debian/submit-server.init
	#>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	rm -f $(CURDIR)/debian/submit-server.init
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-submit-server COMPILE=--no-compile install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i --name=submit-server
	dh_installman -i
	if [ $(DEB_MAJOR) -gt 11 ]; then dh_python3 -i; fi
	if [ $(DEB_MAJOR) -lt 12 ]; then dh_python2 -i; fi
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep 
#binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install
